#
# scilab.randomnumber.bib --
#    A bibliography for nisp Toolbox.
#

@book{montecarlomethodsHammersleyHandscomb,
author = {J. M. Hammersley and D. C. Handscomb},
title = {Monte Carlo Methods},
year = {1964},
publisher= {Chapman and Hall}}

@book{artcomputerKnuthVol2,
author = {D. E. Knuth},
title = {The Art of Computer Programming, Volume 2, Seminumerical Algorithms},
year = {1998},
publisher= {Third Edition, Addison Wesley, Reading, MA}}

@book{montecarloRobertCasella,
author = {George Casella , Christian P. Robert},
title = {Monte Carlo Statistical Methods },
year = {2002},
publisher= {Springer Verlag}}

@book{montecarloNiederreiter,
author = {Harald Niederreiter},
title = {Random Number Generation and Quasi-Monte-Carlo Methods},
year = {1992},
publisher= {Society for Industrial and Applied Mathematics}}

@book{uniformKuippersNiederreiter,
author = {L. Kuippers, H. Niederreiter},
title = {Uniform Distribution of Sequences},
year = {1974},
publisher= {John Wiley and Sons}}

@article{algo659,
 author = {Paul Bratley and Bennett L. Fox},
 title = {Algorithm 659: Implementing Sobol's quasirandom sequence generator},
 journal = {ACM Trans. Math. Softw.},
 volume = {14},
 number = {1},
 year = {1988},
 issn = {0098-3500},
 pages = {88--100},
 doi = {http://doi.acm.org/10.1145/42288.214372},
 publisher = {ACM},
 address = {New York, NY, USA},
 note={\url{http://www.netlib.org/toms/659}}
 }
@article{algo647,
 author = {Bennett L. Fox},
 title = {Algorithm 647: Implementation and Relative Efficiency of Quasirandom Sequence Generators},
 journal = {ACM Trans. Math. Softw.},
 volume = {12},
 number = {4},
 year = {1986},
 issn = {0098-3500},
 pages = {362--376},
 doi = {http://doi.acm.org/10.1145/22721.356187},
 publisher = {ACM},
 address = {New York, NY, USA},
 note={\url{http://www.netlib.org/toms/647}}
 }

@article{implementationTest1992,
 author = {Paul Bratley and Bennett L. Fox and Harald Niederreiter},
 title = {Implementation and tests of low-discrepancy sequences},
 journal = {ACM Trans. Model. Comput. Simul.},
 volume = {2},
 number = {3},
 year = {1992},
 issn = {1049-3301},
 pages = {195--213},
 doi = {http://doi.acm.org/10.1145/146382.146385},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@book{numericalrecipesC,
	address = {Cambridge, UK},
	author = {Press, William   and Teukolsky, Saul   and Vetterling, William   and Flannery, Brian  },
	citeulike-article-id = {767703},
	edition = {2nd},
	keywords = {bibtex-import},
	posted-at = {2006-07-21 00:26:35},
	priority = {0},
	publisher = {Cambridge University Press},
	title = {Numerical Recipes in C},
	year = {1992}
}

@article{Goodpermutations2006,
 author = {Vandewoestyne,, Bart and Cools,, Ronald},
 title = {Good permutations for deterministic scrambled Halton sequences in terms of L2-discrepancy},
 journal = {J. Comput. Appl. Math.},
 volume = {189},
 number = {1},
 year = {2006},
 issn = {0377-0427},
 pages = {341--361},
 doi = {http://dx.doi.org/10.1016/j.cam.2005.05.022},
 publisher = {Elsevier Science Publishers B. V.},
 address = {Amsterdam, The Netherlands, The Netherlands},
 }

@article{parkmiller1988,
 author = {Park,, S. K. and Miller,, K. W.},
 title = {Random number generators: good ones are hard to find},
 journal = {Commun. ACM},
 volume = {31},
 number = {10},
 year = {1988},
 issn = {0001-0782},
 pages = {1192--1201},
 doi = {http://doi.acm.org/10.1145/63039.63042},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@article{Halton1960,
 author = {Halton, J. H.},
 title = {On the efficiency of certain quasi-random sequences of points in evaluating multi-dimensional integrals.},
 journal = {Numer. Math.},
 volume = {2},
 year = {1960},
 pages = {84--90},
 }

@article{Sobol1967,
 author = {Sobol, I.M.},
 title = {On the distribution of points in a cube and the approximate evaluation of integrals.},
 journal = {USSR Computational Mathematics and Mathematical Physics},
 volume = {7},
 year = {1967},
 pages = {86-112},
 }


@article{mersenetwister1998,
 author = {Matsumoto,, Makoto and Nishimura,, Takuji},
 title = {Mersenne twister: a 623-dimensionally equidistributed uniform pseudo-random number generator},
 journal = {ACM Trans. Model. Comput. Simul.},
 volume = {8},
 number = {1},
 year = {1998},
 issn = {1049-3301},
 pages = {3--30},
 doi = {http://doi.acm.org/10.1145/272991.272995},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@article{365104,
 author = {Halton,, J. H.},
 title = {Algorithm 247: Radical-inverse quasi-random point sequence},
 journal = {Commun. ACM},
 volume = {7},
 number = {12},
 year = {1964},
 issn = {0001-0782},
 pages = {701--702},
 doi = {http://doi.acm.org/10.1145/355588.365104},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@article{198436,
 author = {Bratley,, Paul and Fox,, Bennett L. and Niederreiter,, Harald},
 title = {Algorithm 738 : Programs to generate Niederreiter's low-discrepancy sequences},
 journal = {ACM Trans. Math. Softw.},
 volume = {20},
 number = {4},
 year = {1994},
 issn = {0098-3500},
 pages = {494--495},
 doi = {http://doi.acm.org/10.1145/198429.198436},
 publisher = {ACM},
 address = {New York, NY, USA},
 note={\url{http://www.netlib.org/toms/738}}
 }

@article{779360,
 author = {Hong,, Hee Sun and Hickernell,, Fred J.},
 title = {Algorithm 823: Implementing scrambled digital sequences},
 journal = {ACM Trans. Math. Softw.},
 volume = {29},
 number = {2},
 year = {2003},
 issn = {0098-3500},
 pages = {95--109},
 doi = {http://doi.acm.org/10.1145/779359.779360},
 publisher = {ACM},
 address = {New York, NY, USA},
 note={\url{http://www.netlib.org/toms/823}}
 }

@article{ACM-copyrightpolicy,
  title = {Acm Copyright Policy},
  note={\url{http://www.acm.org/publications/policies/copyright_policy}},
}


@article{GSL-GNUScientificLibrary,
  title = {GSL - GNU Scientific Library},
  note={\url{http://www.gnu.org/software/gsl}},
}

@ARTICLE{Antonov-Saleev-80,
  AUTHOR = {Antonov, I.A. and Saleev,V.M.},
  TITLE = {An Economic Method of Computing $LP_{\tau}$-sequences},
  JOURNAL = { USSR Comput. Maths. Math. Phys},
  YEAR = {1980},
  VOLUME = {19},
  PAGES = {252-256}
}


@article{JohnBurkardt,
  title = {John Burkardt },
  note={\url{http://people.sc.fsu.edu/~burkardt/}},
}



@article{HintLib,
  title = {HintLib - High-dimensional Integration Library},
  note={\url{http://mint.sbg.ac.at/HIntLib/}},
}

@article{HintLib,
  title = {HintLib - High-dimensional Integration Library},
  note={\url{http://mint.sbg.ac.at/HIntLib}},
}

@article{RandQMC,
  title = {RandQMC},
  note={\url{http://www.math.uwaterloo.ca/~clemieux/randqmc.html}},
}



@article{LDSequences,
  title = {LD Sequences, SourceForge Project},
  author = {Reinhold Kainhofer}, 
  note={\url{http://ldsequences.sourceforge.net}},
}

@inproceedings{564139,
 author = {L'Ecuyer,, Pierre},
 title = {Software for uniform random number generation: distinguishing the good and the bad},
 booktitle = {WSC '01: Proceedings of the 33nd conference on Winter simulation},
 year = {2001},
 isbn = {0-7803-7309-X},
 pages = {95--105},
 location = {Arlington, Virginia},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
 }



@article{DieHard,
  title = {Diehard Battery of Tests of Randomness },
  author = {Marsaglia}, 
  note={\url{http://www.stat.fsu.edu/pub/diehard/}},
}

@techreport{891980,
 author = {Malcolm,, Michael A. and Moler,, Cleve B.},
 title = {URAND: a universal random number generator.},
 year = {1973},
 source = {http://www.ncstrl.org:8900/ncstrl/servlet/search?formname=detail\&id=oai%3Ancstrlh%3Astan%3ASTAN%2F%2FCS-TR-73-334},
 publisher = {Stanford University},
 address = {Stanford, CA, USA},
 }

@book{pelat2006,
author = {Pelat, Didier},
title = {Bases et m\'ethodes pour le traitement des donn\'ees (Bruits et Signaux)},
year = {2006},
publisher= {Master M2 Recherche : Astronomie-astrophysique}}

@book{introprobasGrinsteadSnell,
author = {Grinstead, Charles, M. and Snell, J., Laurie},
title = {Introduction to probabilities, Second Edition},
year = {1997},
publisher= {American Mathematical Society}}


@MISC{JacquesThese2005,
    title = {Contributions \`A L'analyse De Sensibilit\'e Et \`A L'analyse Discriminante G\'en\'eralis\'ee},
    author = {Jacques, Julien},
    year = {2005}
}


@MISC{JacquesIntro2005,
    title = {Analyse de sensibilit\'e globale},
    author = {Jacques, Julien},
    year = {2005},
    note = {\url{http://math.univ-lille1.fr/~jacques/}}
}



@article{Sobol1993,
    title = {Sensitivity estimates for nonlinear mathematical models},
    author = {I.M. Sobol},
    year = {1993},
    journal = {Mathematical Modelling and Computational Experiments},
    pages = {407-414},
    volume = {1}
 }


@article{HommaSaltelli1996,
    title = {Importance measures in global sensitivity analysis of non linear models.},
    author = {T. Homma and A. Saltelli},
    year = {1996},
    journal = {Reliability Engineering and System Safety},
    pages = {1-17},
    volume = {52}
 }

@MISC{Proginscilab2010,
    title = {Programming in Scilab},
    author = {Michael Baudin},
    year = {2010}
 }

@book{SaltelliTarantola2004,
    title = {Sensitivity analysis in practice},
    author = {Saltelli, Andrea and Tarantola, Stefano and Compolongo, Francesca and Ratto, Marco},
    year = {2004},
    publisher = {John Wiley and Sons}
 }

@MISC{Antoniadis2005,
    title = {Analyse de l'incertitude et Analyse de sensibilit\'e - L'analyse de sensibilit\'e},
    author = {Anestis Antoniadis},
    note = {Ecole d'\'et\'e CEA-EDF-INRIA},
    year = {2005},
    month = {June}
}

@article{Saltelli2002280,
title = "Making best use of model evaluations to compute sensitivity indices",
journal = "Computer Physics Communications",
volume = "145",
number = "2",
pages = "280 - 297",
year = "2002",
note = "",
issn = "0010-4655",
doi = "DOI: 10.1016/S0010-4655(02)00280-1",
author = "Andrea Saltelli",
}




@inproceedings{NISPScilab-JDS2010,
 title = {Polyn\^omes de chaos sous Scilab via la librairie NISP},
 author = {Michael Baudin and Jean-Marc Martinez},
 booktitle = {42\`emes Journ\'ees de Statistique, 24 au 28 mai 2010 - Marseille, France},
 year = {2010},
 }

@Book{Rice1995,
author = {John A. Rice},
title = {Mathematical Statistics and Data Analysis, Second Edition},
publisher = {Duxbury Press},
year = 1995,
}

@book{AsymptoticStatisticsVanDerVaart1998,
author = {Van Der Vaard},
title = {Asymptotic Statistics},
year = {1998},
publisher= {American Mathematical Society}}

@article{Hoeffding1948,
title = "A class of statistics with asymptotically normal distributions",
journal = "Annals of Statistics",
volume = "19",
pages = "293-325",
year = "1948",
author = "Hoeffding, W.",
}

@book{Holtz2010,
author = {Markus Holtz},
title = {Sparse Grid Quadrature in High Dimensions},
year = {2010},
publisher= {Springer}}

@unpublished{Martinez2011,
title = "GdR {O}ndes \& {M}ascot {N}um , 
{A}nalyse de sensibilit\'e globale par d\'ecomposition de la variance ",
author = "Jean-Marc Martinez",
year = "2011",
month = "janvier"
}

@article{Matsumoto1998,
  author = {Makoto Matsumoto and Takuji Nishimura},
  title = {Mersenne {Twister}: {A} 623-dimensionally equidistributed uniform pseudo-random number generator},
  journal = {ACM Trans. Model. Comput. Simul.},
  volume = {8},
  number = {1},
  year = {1998},
  issn = {1049-3301},
  pages = {3--30},
  doi = {http://doi.acm.org/10.1145/272991.272995},
  publisher = {ACM Press},
  abstract = { A new algorithm called Mersenne Twister (MT) is proposed for generating uniform pseudorandom numbers. For a particular choice of parameters, the algorithm provides a super astronomical period of 219937 ?1 and 623-dimensional equidistribution up to 32-bit accuracy, while using a working area of only 624 words. This is a new variant of the previously proposed generators, TGFSR, modified so as to admit a Mersenne-prime period. The characteristic polynomial has many terms. The distribution up to v bits accuracy for 1 $\leq$ v $\leq$ 32 is also shown to be good. An algorithm is also given that checks the primitivity of the characteristic polynomial of MT with computational complexity O(p2) where p is the degree of the polynomial.We implemented this generator in portable C-code. It passed several stringent statistical tests, including diehard. Its speed is comparable to other modern generators. Its merits are due to the efficient algorithms that are unique to polynomial calculations over the two-element field.  }
}

